summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Steve Pledger2011-01-02 00:00:34 +0100
committer Robby Workman2011-01-02 07:27:36 +0100
commit194291dc638e8f3f4c1305400db2e499c5ea15c9 (patch)
treec7cdb2ee500f1264166ceee755e88bfe2c2f5044
parentdd98e2a1a610a042020d0d38aac82d910b8654b2 (diff)
downloadslackbuilds-194291dc638e8f3f4c1305400db2e499c5ea15c9.tar.gz
libraries/hug: Added (easily build GUI's for BaCon programs)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/hug/README10
-rw-r--r--libraries/hug/README.SLACKWARE29
-rw-r--r--libraries/hug/hug.SlackBuild94
-rw-r--r--libraries/hug/hug.info12
-rw-r--r--libraries/hug/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/libraries/hug/README b/libraries/hug/README
new file mode 100644
index 0000000000..a06b1d2824
--- /dev/null
+++ b/libraries/hug/README
@@ -0,0 +1,10 @@
+The Highlevel Universal GUI abstraction layer (HUG) is a simple set
+of functions to allow BaCon setting up graphical user interfaces in
+a fast and efficient manner.
+
+See README.SLACKWARE in the docs directory for details on how to use HUG.
+
+This requires bacon.
+
+Note: When a new version of HUG is released, the downloads will
+change and the md5sums won't match.
diff --git a/libraries/hug/README.SLACKWARE b/libraries/hug/README.SLACKWARE
new file mode 100644
index 0000000000..eebe61c2a4
--- /dev/null
+++ b/libraries/hug/README.SLACKWARE
@@ -0,0 +1,29 @@
+README.SLACKWARE for hug
+
+To use HUG, put the following at the start of your BaCon program:
+
+ SETENVIRON "LANG", "C"
+ INCLUDE "/usr/include/hug_imports.bac"
+
+ REM Initialize the HUG library:
+ INIT
+
+For example, here's the classic "Hello World" program with HUG:
+
+ SETENVIRON "LANG", "C"
+ INCLUDE "/usr/include/hug_imports.bac"
+
+ REM Initialize the HUG library:
+ INIT
+
+ REM Create widgets:
+ window = WINDOW("Hello", 110, 30)
+ text = MARK("Hello, world!", 100, 20)
+
+ REM Attach text widget to main window:
+ ATTACH(window, text, 5, 5)
+
+ REM endless gtk loop
+ DISPLAY
+
+The HUG documentation can be read online here: http://basic-converter.org/hugdoc.html
diff --git a/libraries/hug/hug.SlackBuild b/libraries/hug/hug.SlackBuild
new file mode 100644
index 0000000000..878edf51da
--- /dev/null
+++ b/libraries/hug/hug.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for hug
+
+# Written by Steve Pledger <spledger91@yahoo.com>
+
+PRGNAM=hug
+VERSION=${VERSION:-0.30}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Version number may change, so figure out the real version
+SRCVER=$(grep 'REM Version' $CWD/hug.bac | tail -n1 | cut -d' ' -f3)
+
+if [ "$VERSION" != "$SRCVER" ]; then
+ cat <<EOF
+WARNING: The source version ($SRCVER) does not match the VERSION variable ($VERSION).
+To build anyway, run the SlackBuild like this:
+
+ VERSION=$SRCVER ./$PRGNAM.SlackBuild
+
+exiting...
+EOF
+
+ exit 1
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+
+cd $PRGNAM-$VERSION
+# Bacon creates a binary in the same location as the source, so copy the source file here.
+cat $CWD/hug.bac > hug.bac
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Build shared object "hug.so"
+bacon -p -o $(echo $SLKCFLAGS | sed -e 's: : -o :g') -f hug.bac
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+install -m 0755 hug.so $PKG/usr/lib${LIBDIRSUFFIX}
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/include
+sed -e 's:./hug.so:hug.so:' $CWD/hug_imports.bac > $PKG/usr/include/hug_imports.bac
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/hug/hug.info b/libraries/hug/hug.info
new file mode 100644
index 0000000000..bbbf7235e3
--- /dev/null
+++ b/libraries/hug/hug.info
@@ -0,0 +1,12 @@
+PRGNAM="hug"
+VERSION="0.30"
+HOMEPAGE="http://basic-converter.org"
+DOWNLOAD="http://basic-converter.org/hug.bac \
+ http://basic-converter.org/hug_imports.bac"
+MD5SUM="b10a1032052918c06a833ee8af4364a1 \
+ 45e45334ae795f61894172cbf80274d7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Steve Pledger"
+EMAIL="spledger91@yahoo.com"
+APPROVED="dsomero"
diff --git a/libraries/hug/slack-desc b/libraries/hug/slack-desc
new file mode 100644
index 0000000000..b7f0f811e3
--- /dev/null
+++ b/libraries/hug/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hug: hug (easily build GUI's for BaCon programs)
+hug:
+hug: The Highlevel Universal GUI abstraction layer (HUG) is a simple set
+hug: of functions to allow BaCon setting up graphical user interfaces in
+hug: a fast and efficient manner.
+hug:
+hug: Homepage: http://basic-converter.org/
+hug:
+hug:
+hug:
+hug: